export const modalConfig = {
  colLayout: { span: 8 },
  labelWidth: '120px',
  formItems: [
    {
      field: 'agencyNumber',
      type: 'input',
      label: '机构号',
      placeholder: '请输入机构号'
    },
    {
      field: 'agencyName',
      type: 'input',
      label: '机构名称',
      placeholder: '请输入机构名称'
    },
    {
      field: 'agencyLevel',
      type: 'select',
      label: '机构级别',
      placeholder: '请选择机构级别',
      options: [
        { label: '1', value: 1 },
        { label: '2', value: 2 },
        { label: '3', value: 3 }
      ]
    }
  ],
  itemStyle: {padding:'10px 40px'},
  titleList: [
    { prop: 'agencyNumber', label: '机构号' },
    { prop: 'coreAgencyNumber', label: '核心机构号' },
    { prop: 'agencyName', label: '机构名称' },
    { prop: 'agencyLevel', label: '机构级别' },
    { prop: 'agencyStatus', label: '状态' },
    { prop: 'superiorAgency',label: '上级机构'},
    { prop: 'remark', label: '备注'},
    { label: '操作', slotName: 'handler' }
  ]
}
